import request from '@/utils/request'

/*
发件箱接口
@author:梁逸
@date：2020-7-15
 */


// 查询【发件箱】列表
export function listInfo(query) {
  return request({
    url: '/system/email/info/list',
    method: 'get',
    params: query
  })
}

// 查询【根据id查询】详细
export function getInfo(mailGuid) {
  return request({
    url: '/system/email/info/' + mailGuid,
    method: 'get'
  })
}

// 新增【请填写功能名称】
// export function addInfo(data) {
//   return request({
//     url: '/system/email/info',
//     method: 'post',
//     data: data
//   })
// }

// 修改【】
export function updateInfo(data) {
  return request({
    url: '/system/email/info',
    method: 'put',
    data: data
  })
}

// 删除【根据id删除】
export function delInfo(mailGuid) {
  return request({
    url: '/system/email/info/' + mailGuid,
    method: 'delete'
  })
}

// 导出【请填写功能名称】
// export function exportInfo(query) {
//   return request({
//     url: '/system/email/info/export',
//     method: 'get',
//     params: query
//   })
// }
